---
id: entity-hook-action-delete
title: "Delete an entity hook action"
description: "Delete an entity hook action."
sidebar_label: "Delete an entity hook action"
hide_title: true
hide_table_of_contents: true
api: eJzdVlFv20YM/isHPrWAYiupnG16y5oMy7CHoHWwAkkQ0Drauka6U++oLK6g/z5Qkm3ZMdbtYRswP8jSHXn8+JE8sgFNIfOmYuMspHBJBTEptIosG16r3LknhZlsTyACxlWA9A6udrvwEIGryKPIXGtIoVd9lM3HXjXV3bkQQYUeS2LyckwDRoxWyDlEYLEkSMFoiCBkOZUIaQO8rmQ1sDd2BREsnS+RIYW6NhraCDx9qY0nDSn7mqIDh+Y5qetL5ZaKczrilGKnenDiHr1gWRVibzaL6fskjk/o7IfFSXKqkxP87vT8JEnOz2ezJInjOIb2IYJAWe0Nrzt3FoSe/EXNOaR3D7LtKVTOBgriy1kcy99rhEdw/Y5hAKYn4mby6dNr3feFIcuKvHdebU0pXZP4ZewzFkYrY6ualfOqNCEYu1K7IIjTmbNMluV0rKrCZF0kp5+DmGheh8ItPlPGMGb+DgIj1+G90xLkDg9EUFIIuCLJkMpLjrDpiRhJ7841lmlForfv5M/z+Y3qNVTmNClPlacgnNlVF9ZQUWaWJlPZmI83NFlNIpXEsTxO5fFOHsnbvVAncdwKCXtYtum2D+VClZjlxtKJJ9S4KGiw1eHiHFllyLRy3nyl0GMj/0xeLdEUtT9IsgXqRyGRAkuIe9r+AoiFN7SMVF6XaHdIRlLbfO/AyXEbNu7hR9TqQ2/0HmTh1mLNeQdZ38M+OWNpgbiJ6LdBam3kFQulidEUQeHC1byDtW9HqmCgokv9EgupdNKqY9cyGkt6m9LjDG67XwSzYxXysaf/sEKM1V2e25XcdSaEmpRcBjmpi5trFYym/1lphDERQzLMpDRm8Zk83u0HfvbfVYU46y0Wj73QY0/Zv1Yf14N5NaTOlcj0lSIrJiN1a/EZTSGnviqYo+r/aOlcWFVbeqkoY9KDSy7Lau9JT9RNQRhIsV8rXKGxqkAmv6maDhfnTtr2qEdL/4LpqI9P+640bYxupT13vvUtvPYFpJAzVyGdTrEyE1sXRVUgSwFPMlfu9cmPUjN9qo+75ZYUOWgzAHR3ZCcE0fDy06b9//LbHAS+sUsn6oKn5+90Ek9imVUMd/yMZ5U2gsoFLrGr32Hi+LOh5zA6ze5O+Paw1HvE9MLTqkBjxXxHVzNwfDeelSCCrc3UaLkachdYpJpmgYFufdG2svylJi8Dx0MEz+iN5GEXCm2CvGtIl1iEw1loDP3Nh+GCeqv+3oR01KdhEe0aBFFRyxdE8ETrfqBrH9oIckJNvgPab1xkGVU8Unl1x0ribPPz8urXq/mVsLSfMQcZ0hk4iqhpeom5eyLbtluALN+CsW3/AGifzBU=
sidebar_class_name: "delete api-method"
info_path: docs/api/entity-hook
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Delete an entity hook action"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/entity_hook/action/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Delete an entity hook action.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID of the entity hook action to delete.","example":"550e8400-e29b-41d4-a716-446655440000"}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The entity hook action was deleted."},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      